.image {
  object-fit: contain;
}

.stearing {
  display: block;
  margin-left: auto;
  height: 50px;
}

.seatRow {
  height: 50px;
  padding: 10px;
}

.emptyRow {
  height: 40px;
}

.seatWrapper {
  display: inline-block;
  height: 100%;
  position: relative;
  cursor: pointer;
}

.seat {
  z-index: 1;
  /* position: absolute; */
}

.seatNumber {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  z-index: 2;
  font-size: smaller;
}

.reserved {
  background-color: #b7aeae;
}

.cursorNotAllowed {
  cursor: not-allowed;
}

.selected {
  background-color: rgb(0 123 255 / 34%);
}

/* Legend CSS */
.legend {
  list-style: none;
}
.legend li {
  margin-right: 10px;
  display: inline-block;
}
.legend span {
  border: 1px solid #ccc;
  width: 12px;
  height: 12px;
  margin-top: auto;
  display: inline-block;
}
.legend .reserved {
  background-color: #b7aeae;
}
.legend .selected {
  background-color: rgb(0 123 255 / 34%);
}
